org.apache.hadoop.yarn.api.records.impl.pb

## Class QueueUserACLInfoPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.QueueUserACLInfo
  - - org.apache.hadoop.yarn.api.records.impl.pb.QueueUserACLInfoPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class QueueUserACLInfoPBImpl
      extends org.apache.hadoop.yarn.api.records.QueueUserACLInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueUserACLInfoPBImpl()`
    `QueueUserACLInfoPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.QueueUserACLInfoProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.proto.YarnProtos.QueueUserACLInfoProto` | `getProto()`
    `String` | `getQueueName()`
    `List<org.apache.hadoop.yarn.api.records.QueueACL>` | `getUserAcls()`
    `int` | `hashCode()`
    `void` | `setQueueName(String queueName)`
    `void` | `setUserAcls(List<org.apache.hadoop.yarn.api.records.QueueACL> userAclsList)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.QueueUserACLInfo

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueUserACLInfoPBImpl

          public QueueUserACLInfoPBImpl()

    - #### QueueUserACLInfoPBImpl

          public QueueUserACLInfoPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.QueueUserACLInfoProto proto)

  - ### Method Detail

    - #### getQueueName

          public String getQueueName()

      Specified by:
        `getQueueName` in class `org.apache.hadoop.yarn.api.records.QueueUserACLInfo`

    - #### getUserAcls

          public List<org.apache.hadoop.yarn.api.records.QueueACL> getUserAcls()

      Specified by:
        `getUserAcls` in class `org.apache.hadoop.yarn.api.records.QueueUserACLInfo`

    - #### setQueueName

          public void setQueueName(String queueName)

      Specified by:
        `setQueueName` in class `org.apache.hadoop.yarn.api.records.QueueUserACLInfo`

    - #### setUserAcls

          public void setUserAcls(List<org.apache.hadoop.yarn.api.records.QueueACL> userAclsList)

      Specified by:
        `setUserAcls` in class `org.apache.hadoop.yarn.api.records.QueueUserACLInfo`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.QueueUserACLInfoProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.